import View from './view.vue';
import Image from './image.vue';
import Slider from './slider.vue';
import Matrix from './matrix.vue';
import Text from './text.vue';
import BoldText from './boldText.vue';
import Title from './title.vue';
import Video from './video.vue';
import Tabs from './tabs.vue';
import TableTexts from './tableTexts.vue';
import Wrapper from './wrapper.vue';
import Button from './button.vue';
import Form from './form';

const componets = {
  View,
  Image,
  Slider,
  Matrix,
  Text,
  BoldText,
  Title,
  Video,
  Tabs,
  TableTexts,
  Wrapper,
  Button,
};

export default {
  install(Vue) {
    Object.keys(componets).forEach(key => {
      const component = componets[key];
      Vue.component(component.name, component);
      Vue.use(Form);
    });
  },
};
